Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class CellEditors

    java.lang.Object
      org.objectstyle.cayenne.dataview.CellEditors

    public class CellEditors

extends java.lang.Object

Nested Class Summary
`class` | `CellEditors.ButtonEditor`
`class` | `CellEditors.CheckBoxEditor`
`class` | `CellEditors.ComboBoxEditor`
`class` | `CellEditors.FormattedFieldEditor`
`class` | `CellEditors.SpinnerEditor`
`class` | `CellEditors.TextFieldEditor`

Field Summary
`protected javax.swing.border.Border` | `editStateBorder`
`protected javax.swing.border.Border` | `invalidStateBorder`

Constructor Summary
`CellEditors()`

Method Summary
`CellEditors.ButtonEditor` | `createButtonEditor(javax.swing.JButton button)`
`CellEditors.CheckBoxEditor` | `createCheckBoxEditor()`
`CellEditors.ComboBoxEditor` | `createComboBoxEditor(javax.swing.ComboBoxModel model, javax.swing.ListCellRenderer renderer)`
`CellEditors.FormattedFieldEditor` | `createFormattedFieldEditor(java.text.Format formatter, int alignment)`
`CellEditors.FormattedFieldEditor` | `createFormattedFieldEditor(javax.swing.JFormattedTextField.AbstractFormatter formatter, int alignment)`
`CellEditors.FormattedFieldEditor` | `createFormattedFieldEditor(java.lang.String mask, int alignment)`
`CellEditors.SpinnerEditor` | `createSpinnerEditor(javax.swing.SpinnerModel model, java.text.Format format)`
`javax.swing.table.TableCellEditor` | `createTableCellEditor(ObjEntityViewField field)`
`CellEditors.TextFieldEditor` | `createTextFieldEditor(int alignment)`
`void` | `installEditors(javax.swing.JTable table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editStateBorder

    protected javax.swing.border.Border editStateBorder

### invalidStateBorder

    protected javax.swing.border.Border invalidStateBorder

Constructor Detail

### CellEditors

    public CellEditors()

Method Detail

### createFormattedFieldEditor

    public CellEditors.FormattedFieldEditor createFormattedFieldEditor(javax.swing.JFormattedTextField.AbstractFormatter formatter,
                                                                       int alignment)

### createFormattedFieldEditor

    public CellEditors.FormattedFieldEditor createFormattedFieldEditor(java.text.Format formatter,
                                                                       int alignment)

### createFormattedFieldEditor

    public CellEditors.FormattedFieldEditor createFormattedFieldEditor(java.lang.String mask,
                                                                       int alignment)
                                                                throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### createTextFieldEditor

    public CellEditors.TextFieldEditor createTextFieldEditor(int alignment)

### createCheckBoxEditor

    public CellEditors.CheckBoxEditor createCheckBoxEditor()

### createComboBoxEditor

    public CellEditors.ComboBoxEditor createComboBoxEditor(javax.swing.ComboBoxModel model,
                                                           javax.swing.ListCellRenderer renderer)

### createButtonEditor

    public CellEditors.ButtonEditor createButtonEditor(javax.swing.JButton button)

### createSpinnerEditor

    public CellEditors.SpinnerEditor createSpinnerEditor(javax.swing.SpinnerModel model,
                                                         java.text.Format format)

### createTableCellEditor

    public javax.swing.table.TableCellEditor createTableCellEditor(ObjEntityViewField field)

### installEditors

    public void installEditors(javax.swing.JTable table)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.